ホーム > NW > MovableType4.0へ一瞬バージョンアップしました

MovableType4.0へ一瞬バージョンアップしました

  • 投稿者: nomad
  • 2007年9月4日 1:05 AM
  • NW

日曜日に、1日がかりでMT4.0へバージョンアップしました。
割と簡単に自動バージョンアップが走って、うまいこと行ったように思ったのですが…
blog全体を新バージョンに再構築させるとエラーが出て止まっちゃうんですよ。
エラーメッセージを読むと、どうやらテンプレートに記載している関数のあて先が無いとかなんとか。
あちこちぐぐってみると「SCodeのプラグインを抜いてテンプレートを書き直した」とか書いてる人がいましてな。
おおそういや入れたぞ。便利に使ってる。SPAMよけに、コメント時、ランダムな数字を入力させるプラグインですがな。あれ入れたときもけっこう時間かけたっけな。
俺、メンドイんで、そういうのメモ取ってないんすよ。
どこにどんなプラグイン入れて、どこのテンプレートのどこの行を修正したか、まるっきり覚えてないん。
「そんなもん、イチからぐぐれば判っぺよー」とその時は思った。
でも、またイチからぐぐるのはメンドイのな。後でメンドイと思うか今メンドイと思うかの違いではあるが、俺はただ今現在メンドイと思ってるので過去の俺に腹が立つわけだ。この俺になんてメンドイことさせんのかと。
しかしまあ、夏休みの宿題をメンドイメンドイと後回しにしてしまいには夏休みの宿題がやりきれなくて、最終的に「先生が忘れるまで待つ」という作戦に出た俺からすると、その過去の俺に腹を立てても仕方ないわけだ。わかっててやったことじゃないかと。まあそのくらいでカンベンしてやれと。奴もアレはアレでそう悪い奴じゃないし、なかなか可愛いところもあるんだと。
俺もさすがに立派なもんで、大人の風格というか貫禄というか、無駄に怒るようなことはしない。こう、ホトケの心っつーの? 寛大な「和の精神」で赦すことにしたわけよ。「今度だけだぞ」と。
まあこれに懲りて、きっと奴も成長してくれると思う。
で、どうしたかっつーと。プラグインを入れ替えてみた。MTのバージョンアップに伴って対応するプラグインにしなくちゃなんめえ、と思って。
変わらないー
こりゃ誰かが書いてるみたいにプラグインを全部消さないとまずいのかな…
イチからSCodeプラグインの導入方法を調べて、そこの記述を全部削除しないとまずいのか…
しかし、SCodeもいくつかバージョンがあるみたいだし、どのバージョンのものが自分のblogに入ってるのか、どうやって調べるか…
さんざんぐぐってみると「MT4.0はSCodeをサポートしている」ってことがわかった。
SixApart-技術提供ブログ:CAPTCHA 認証機能も簡単設定可能に
なんだよそれー
SCodeプラグイン、とっかえひっかえやってみたのって、結局ただの勘違いの失敗ってことかよー
しかもMT4がサポートしてるヤツ、俺が嫌いなゴミまじりCAPCHAじゃんよー
結局、一度バージョンアップしたMT4.0は全部削除し、バックアップしていたMT3.34に総入れ替えをしたのだったよ。
もうちょっといろいろサポートが増えて、もう少し動作が軽くなってからバージョンアップしようかな。
もうMT4.01 Beta 2が出てきてるらしいから、もうちょっと様子見。
なわけで、俺の日曜日を返せよ!過去の俺!

コメント:0

コメントフォーム
入力した情報を記憶する

トラックバック:0

この記事のトラックバック URL
http://www.nomaddaemon.jp/2007/09/04/movabletype40%e3%81%b8%e4%b8%80%e7%9e%ac%e3%83%90%e3%83%bc%e3%82%b8%e3%83%a7%e3%83%b3%e3%82%a2%e3%83%83%e3%83%97%e3%81%97%e3%81%be%e3%81%97%e3%81%9f/trackback/
トラックバックの送信元リスト
MovableType4.0へ一瞬バージョンアップしました - nomaddaemon より

ホーム > NW > MovableType4.0へ一瞬バージョンアップしました

検索
通りがかりに一言どうぞ
Twitter
カテゴリー
リスペクトリンクス

ページの上部に戻る

%d人のブロガーが「いいね」をつけました。